Bug 822177 - libmusicbrainz4 may be broken by MB schema update
libmusicbrainz4 may be broken by MB schema update
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libmusicbrainz4 (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 10:51 EDT by Paul W. Frields
Modified: 2012-05-26 02:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 02:55:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that removes some unused variable warnings/errors in build (911 bytes, patch)
2012-05-16 10:51 EDT, Paul W. Frields
no flags Details | Diff

  None (edit)
Description Paul W. Frields 2012-05-16 10:51:43 EDT
Created attachment 584993 [details]
Patch that removes some unused variable warnings/errors in build

libmusicbrainz4-4.0.1-1.fc17

I'm getting bad results for some discs here such as: http://musicbrainz.org/release/2bfecb9b-bdbd-4c4e-b2cb-7353ce48f4ab

With the attached patch, the libmusicbrainz-4.0.2 release seems to fix the problems.  I can provide an SRPM in koji as well if that saves you some time.
Comment 1 Christophe Fergeau 2012-05-16 11:15:58 EDT
Filed http://tickets.musicbrainz.org/browse/LMB-32
A 4.0.3 release is planned today or tomorrow which should fix the compilation failure and make sure the bug you observed doesn't happen again in the future, I'd prefer to wait for that release before updating the fedora package.
Comment 2 Fedora Update System 2012-05-16 16:35:32 EDT
libmusicbrainz4-4.0.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libmusicbrainz4-4.0.3-1.fc17
Comment 3 Fedora Update System 2012-05-17 18:56:34 EDT
Package libmusicbrainz4-4.0.3-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libmusicbrainz4-4.0.3-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7975/libmusicbrainz4-4.0.3-1.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-05-26 02:55:36 EDT
libmusicbrainz4-4.0.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.